{
  "name": "@ecobridge.xyz/catalog",
  "version": "3.36.3",
  "private": false,
  "description": "A comprehensive library that provides dynamic web components for building sophisticated and modern web applications using JavaScript and TypeScript.",
  "main": "dist_ts_web/index.js",
  "typings": "dist_ts_web/index.d.ts",
  "type": "module",
  "scripts": {
    "test": "tstest test/ --web --verbose --timeout 30 --logfile",
    "build": "tsbuild tsfolders --allowimplicitany && tsbundle element --production --bundler esbuild",
    "watch": "tswatch element",
    "buildDocs": "tsdoc"
  },
  "author": "Lossless GmbH",
  "license": "MIT",
  "dependencies": {
    "@design.estate/dees-catalog": "^3.33.0",
    "@design.estate/dees-domtools": "^2.3.7",
    "@design.estate/dees-element": "^2.1.5",
    "@push.rocks/smartpromise": "^4.2.3",
    "@tsclass/tsclass": "^9.3.0"
  },
  "devDependencies": {
    "@design.estate/dees-wcctools": "^3.7.1",
    "@git.zone/tsbuild": "^4.0.2",
    "@git.zone/tsbundle": "^2.6.3",
    "@git.zone/tstest": "^3.1.4",
    "@git.zone/tswatch": "^2.3.13",
    "@push.rocks/projectinfo": "^5.0.2",
    "@types/node": "^25.0.3"
  },
  "files": [
    "ts/**/*",
    "ts_web/**/*",
    "dist/**/*",
    "dist_*/**/*",
    "dist_ts/**/*",
    "dist_ts_web/**/*",
    "assets/**/*",
    "cli.js",
    "npmextra.json",
    "readme.md"
  ],
  "browserslist": [
    "last 1 chrome versions"
  ],
  "keywords": [
    "Web Components",
    "User Interface",
    "UI Library",
    "Component Library",
    "JavaScript",
    "TypeScript",
    "Dynamic Components",
    "Modular Architecture",
    "Reusable Components",
    "Web Development",
    "Application UI",
    "Custom Elements",
    "Shadow DOM",
    "UI Elements",
    "Dashboard Interfaces",
    "Form Handling",
    "Data Display",
    "Visualization",
    "Charting",
    "Interactive Components",
    "Responsive Design",
    "Web Applications",
    "Modern Web",
    "Frontend Development"
  ],
  "packageManager": "pnpm@10.7.0+sha512.6b865ad4b62a1d9842b61d674a393903b871d9244954f652b8842c2b553c72176b278f64c463e52d40fff8aba385c235c8c9ecf5cc7de4fd78b8bb6d49633ab6"
}
